import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 获取活动列表
let findByList = (params) => postAction(prefix + "/school/partner/list" , params);


// 编辑
let modify = (params) => postAction(prefix + "/school/partner/update" , params);

// 编辑
let getlistysm = (params) => postAction(prefix + "/ysmUser/getlist" , params);

// 新增用户
let addPartner = (params) => postAction(prefix + "/school/partner/addPartner" , params);

// 获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/school/schoolManagement/substList" , params);

// 获取学校下拉列表
let getSchoolList = (params) => postAction(prefix + "/school/schoolManagement/schoolList" , params);

// 获取学子公司职位下级成员列表
let getXzUserList = (params) => postAction(prefix + "/school/partner/getXzUserList" , params);

// 获取角色清单
let getRoleList = (params) => postAction(prefix + "/school/partner/roleList" , params);

// 删除用户
let deleteUser = (params) => postAction(prefix + "/school/partner/deleteUser" , params);

// 导出用户清单
let exportUserList = (params) => downFilePost(prefix + "/school/partner/exportUserList" , params);

// 解锁账户
let unlockUser = (params) => postAction(prefix + "/userDeploy/unlockUser" , params);

// 锁定账户
let lockUser = (params) => postAction(prefix + "/userDeploy/lockUser" , params);

export {
    findByList,modify,getlistysm,addPartner,getSubstList,getSchoolList,getXzUserList,
    getRoleList,exportUserList,deleteUser,unlockUser,lockUser
}
